Bug 1287183 - Review Request: mathicgb - Groebner basis computations
Review Request: mathicgb - Groebner basis computations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 12:24 EST by Jerry James
Modified: 2015-12-12 23:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-12 23:22:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2015-12-01 12:24:18 EST
Spec URL: https://jjames.fedorapeople.org/mathicgb/mathicgb.spec
SRPM URL: https://jjames.fedorapeople.org/mathicgb/mathicgb-1.0-1.20131006.gitc72c945.fc24.src.rpm
Fedora Account System Username: jjames
Description: Mathicgb is a program for computing Groebner basis and signature Grobner bases.  Mathicgb is based on the fast data structures from mathic.
Comment 1 gil cattaneo 2015-12-01 12:40:10 EST
can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1267890 ?
Thanks
Comment 2 gil cattaneo 2015-12-01 16:51:09 EST
some build problems on i386 arch ...

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=12024149
Comment 3 Jerry James 2015-12-01 19:20:54 EST
The problem is related to TBB.  I'm not sure if it is a bug in TBB, or a bug in how mathicgb uses TBB, but for now I am turning off TBB support until I can figure it out.  New URLs:

Spec URL: https://jjames.fedorapeople.org/mathicgb/mathicgb.spec
SRPM URL: https://jjames.fedorapeople.org/mathicgb/mathicgb-1.0-2.20131006.gitc72c945.fc24.src.rpm
Comment 4 gil cattaneo 2015-12-02 01:01:03 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1024000 bytes in 3 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
 

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

 Not available LICENSE file in source directory structure
 Reported @ https://github.com/broune/mathicgb/issues/6
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 167 files have unknown license.
     Detailed output of licensecheck in
     /home/gil/1287183-mathicgb/licensecheck.txt

The following source files are without license headers:
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/mathicgb.cpp
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/mathicgb.h
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/checksource/CheckSource.cpp
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/checksource/Scanner.cpp
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/checksource/Scanner.hpp
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/mathicgb/stdinc.h
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/test/monoidPict.in
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/test/monoidPict.seed
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/test/pict.in
 Reported @ https://github.com/broune/mathicgb/issues/6
 
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
  See above
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mathicgb-devel , mathicgb-libs , mathicgb-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1034240 bytes in /usr/share
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/gil/1287183-mathicgb/results/mathicgb-1.0-2.20131006.gitc72c945.fc24.i686.rpm /home/gil/1287183-mathicgb/results/mathicgb-devel-1.0-2.20131006.gitc72c945.fc24.i686.rpm /home/gil/1287183-mathicgb/results/mathicgb-libs-1.0-2.20131006.gitc72c945.fc24.i686.rpm /home/gil/1287183-mathicgb/results/mathicgb-debuginfo-1.0-2.20131006.gitc72c945.fc24.i686.rpm /home/gil/1287183-mathicgb/results/mathicgb-debuginfo-1.0-2.20131006.gitc72c945.fc24.i686.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 --setopt=deltarpm=false install /home/gil/1287183-mathicgb/results/mathicgb-1.0-2.20131006.gitc72c945.fc24.i686.rpm /home/gil/1287183-mathicgb/results/mathicgb-devel-1.0-2.20131006.gitc72c945.fc24.i686.rpm /home/gil/1287183-mathicgb/results/mathicgb-libs-1.0-2.20131006.gitc72c945.fc24.i686.rpm /home/gil/1287183-mathicgb/results/mathicgb-debuginfo-1.0-2.20131006.gitc72c945.fc24.i686.rpm /home/gil/1287183-mathicgb/results/mathicgb-debuginfo-1.0-2.20131006.gitc72c945.fc24.i686.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: mathicgb-1.0-2.20131006.gitc72c945.fc24.i686.rpm
          mathicgb-devel-1.0-2.20131006.gitc72c945.fc24.i686.rpm
          mathicgb-libs-1.0-2.20131006.gitc72c945.fc24.i686.rpm
          mathicgb-debuginfo-1.0-2.20131006.gitc72c945.fc24.i686.rpm
          mathicgb-1.0-2.20131006.gitc72c945.fc24.src.rpm
mathicgb.i686: W: spelling-error Summary(en_US) Groebner -> Grounder
mathicgb.i686: W: spelling-error %description -l en_US mathic -> mythic, thematic
mathicgb.i686: W: no-manual-page-for-binary mgb
mathicgb-devel.i686: W: no-documentation
mathicgb-libs.i686: W: no-documentation
mathicgb.src: W: spelling-error Summary(en_US) Groebner -> Grounder
mathicgb.src: W: spelling-error %description -l en_US mathic -> mythic, thematic
5 packages and 0 specfiles checked; 0 errors, 7 warnings.




Requires
--------
mathicgb-debuginfo (rpmlib, GLIBC filtered):

mathicgb-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libmathicgb.so.0
    mathicgb-libs(x86-32)
    pkgconfig(mathic)
    pkgconfig(memtailor)

mathicgb-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libmathic.so.0
    libmemtailor.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.8)
    rtld(GNU_HASH)

mathicgb (rpmlib, GLIBC filtered):
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libmathic.so.0
    libmathicgb.so.0
    libmemtailor.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    mathicgb-libs(x86-32)
    rtld(GNU_HASH)



Provides
--------
mathicgb-debuginfo:
    mathicgb-debuginfo
    mathicgb-debuginfo(x86-32)

mathicgb-devel:
    mathicgb-devel
    mathicgb-devel(x86-32)
    pkgconfig(mathicgb)

mathicgb-libs:
    libmathicgb.so.0
    mathicgb-libs
    mathicgb-libs(x86-32)

mathicgb:
    mathicgb
    mathicgb(x86-32)



Source checksums
----------------
https://github.com/broune/mathicgb/archive/c72c945ba8e18e68e5650e7e4982b86e558abe6c/mathicgb-c72c945.tar.gz :
  CHECKSUM(SHA256) this package     : c66d932b095709399002327904bf93a7144adcac6cefae232c3f8f77e362f036
  CHECKSUM(SHA256) upstream package : c66d932b095709399002327904bf93a7144adcac6cefae232c3f8f77e362f036


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1287183 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 gil cattaneo 2015-12-02 01:07:45 EST
NON blocking issues:

- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1024000 bytes in 3 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

Maybe you could create a -doc/s sub package

Not available LICENSE file in source directory structure
Reported @ https://github.com/broune/mathicgb/issues/6

[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

[!]: Package does not include license text files separate from upstream.


[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 167 files have unknown license.
     Detailed output of licensecheck in
     /home/gil/1287183-mathicgb/licensecheck.txt

Almost all files report this header (for me is more than enough)
// MathicGB copyright 2012 all rights reserved. MathicGB comes with ABSOLUTELY
// NO WARRANTY and is licensed as GPL v2.0 or later - see LICENSE.txt.

The following source files are without license headers:
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/mathicgb.cpp
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/mathicgb.h
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/checksource/CheckSource.cpp
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/checksource/Scanner.cpp
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/checksource/Scanner.hpp
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/mathicgb/stdinc.h
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/test/monoidPict.in
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/test/monoidPict.seed
./mathicgb-c72c945ba8e18e68e5650e7e4982b86e558abe6c/src/test/pict.in
 Reported @ https://github.com/broune/mathicgb/issues/6

Approved
Comment 6 Jerry James 2015-12-02 10:26:37 EST
Thank you for the review, gil.

(In reply to gil cattaneo from comment #5)
> Maybe you could create a -doc/s sub package

Okay, I can do that.  I should put the examples in there, too.

Also, I am still trying to track down the cause of the trouble with TBB.  I'll make an update once I figure that out.
Comment 7 Gwyn Ciesla 2015-12-02 10:46:22 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/mathicgb
Comment 8 Fedora Update System 2015-12-03 23:35:27 EST
mathicgb-1.0-2.20131006.gitc72c945.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c461ef7cfe
Comment 9 Fedora Update System 2015-12-04 11:51:14 EST
mathicgb-1.0-2.20131006.gitc72c945.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mathicgb'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c461ef7cfe
Comment 10 Fedora Update System 2015-12-12 23:22:54 EST
mathicgb-1.0-2.20131006.gitc72c945.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.